import 'package:flutter/material.dart';
import 'package:flutter_helper/src/Controllers/OverlayViewController.dart';

class LoadingViewController extends StatefulWidget {
  final Function load;
  final Function callback;

  LoadingViewController({
    this.load,
    this.callback
  });

  @override
  _LoadingViewControllerState createState() => _LoadingViewControllerState();
}

class _LoadingViewControllerState extends State<LoadingViewController> {
  bool _isLoading = false;

  Future<void> _load() async {
    setState(() {
      _isLoading = true;
    });

    await widget.load();

    setState(() {
      _isLoading = false;
    });
  }

  @override
  Widget build(BuildContext context) {
    return OverlayViewController(
      isLoading: _isLoading,
      child: widget.callback(_load)
    );
  }
}