import 'package:flutter/material.dart';

class BottomNavigationView extends StatefulWidget {
  final List<Widget> children;
  final List<BottomNavigationBarItem> items;

  BottomNavigationView({
    this.children,
    this.items
  });

  @override
  _BottomNavigationViewState createState() => _BottomNavigationViewState();
}

class _BottomNavigationViewState extends State<BottomNavigationView> {
  int _selectedIndex = 0;

  void _onItemTapped(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        body: IndexedStack(
            index: _selectedIndex,
            children: widget.children
        ),
        bottomNavigationBar: BottomNavigationBar(
          elevation: 8,
          type: BottomNavigationBarType.fixed,
          items: widget.items,
          currentIndex: _selectedIndex,
          onTap: _onItemTapped,
        )
    );
  }
}

