import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';

class ImageView extends StatelessWidget {
  final String image;

  ImageView({
    this.image
  });

  @override
  Widget build(BuildContext context) {
    return Image.network(kIsWeb ? "https://cors-anywhere.herokuapp.com/$image" : image, fit: BoxFit.cover,
      loadingBuilder:(BuildContext context, Widget child, ImageChunkEvent loadingProgress) {
        if (loadingProgress == null) return child;
        return Center(
          child: CircularProgressIndicator(
            value: loadingProgress.expectedTotalBytes != null ?
            loadingProgress.cumulativeBytesLoaded / loadingProgress.expectedTotalBytes
                : null,
          ),
        );
      },
    );
  }
}
